Preview MCP Capabilities
Connect to a live MCP endpoint and return its capability schema, without persisting anything. Used by the publish form before a listing exists.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Query Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/mcp/schema/preview" \ -H "Content-Type: application/json" \ -d '{ "endpoint_url": "string" }'{ "schema_version": "string", "source": "live_connection", "fetched_at": "2019-08-24T14:15:22Z", "server_info": { "name": "string", "title": "string", "description": "string", "version": "string", "icons": [ { "src": "string", "mimeType": "string", "sizes": "string" } ], "websiteUrl": "string" }, "tools": [ { "name": "string", "description": "string", "inputSchema": {}, "outputSchema": {}, "method": "string", "path": "string" } ], "resources": [ { "uri": "string", "name": "string", "description": "string", "mimeType": "string" } ], "prompts": [ { "name": "string", "description": "string", "arguments": [ { "name": "string", "description": "string", "required": false } ] } ], "base_url": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}